Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Class AbstractCollection

    java.lang.Object
      |
      +--java.util.AbstractCollection

All Implemented Interfaces:
  Collection

Direct Known Subclasses:
  AbstractList, AbstractSet

public abstract class AbstractCollection
extends java.lang.Object
implements Collection

Constructor Summary
`protected` | `AbstractCollection()`

Method Summary
`boolean` | `add(java.lang.Object o)`
`boolean` | `addAll(Collection c)`
`void` | `clear()`
`boolean` | `contains(java.lang.Object o)`
`boolean` | `containsAll(Collection c)`
`boolean` | `isEmpty()`
`abstract Iterator` | `iterator()`
`boolean` | `remove(java.lang.Object o)`
`boolean` | `removeAll(Collection c)`
`boolean` | `retainAll(Collection c)`
`abstract int` | `size()`
`java.lang.Object[]` | `toArray()`
`java.lang.Object[]` | `toArray(java.lang.Object[] a)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Constructor Detail

### AbstractCollection

    protected AbstractCollection()

Method Detail

### iterator

    public abstract Iterator iterator()

  Specified by:
    `iterator` in interface `Collection`

### size

    public abstract int size()

  Specified by:
    `size` in interface `Collection`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection`

### contains

    public boolean contains(java.lang.Object o)

  Specified by:
    `contains` in interface `Collection`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `Collection`

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] a)
                               throws java.lang.NullPointerException,
                                      java.lang.ArrayStoreException

  Specified by:
    `toArray` in interface `Collection`
    `java.lang.NullPointerException`
    `java.lang.ArrayStoreException`

### add

    public boolean add(java.lang.Object o)
                throws UnsupportedOperationException,
                       java.lang.NullPointerException,
                       java.lang.ClassCastException,
                       java.lang.IllegalArgumentException

  Specified by:
    `add` in interface `Collection`
    `UnsupportedOperationException`
    `java.lang.NullPointerException`
    `java.lang.ClassCastException`
    `java.lang.IllegalArgumentException`

### remove

    public boolean remove(java.lang.Object o)
                   throws UnsupportedOperationException

  Specified by:
    `remove` in interface `Collection`
    `UnsupportedOperationException`

### containsAll

    public boolean containsAll(Collection c)

  Specified by:
    `containsAll` in interface `Collection`

### addAll

    public boolean addAll(Collection c)
                   throws UnsupportedOperationException

  Specified by:
    `addAll` in interface `Collection`
    `UnsupportedOperationException`

### removeAll

    public boolean removeAll(Collection c)
                      throws UnsupportedOperationException

  Specified by:
    `removeAll` in interface `Collection`
    `UnsupportedOperationException`

### retainAll

    public boolean retainAll(Collection c)
                      throws UnsupportedOperationException

  Specified by:
    `retainAll` in interface `Collection`
    `UnsupportedOperationException`

### clear

    public void clear()
               throws UnsupportedOperationException

  Specified by:
    `clear` in interface `Collection`
    `UnsupportedOperationException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD